#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
# $Id: 40_getSerialNumber.pl,v 1.3 2001/09/20 21:19:40 thockin Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.

# Author: Kevin K.M. Chiu

use strict;
use CCE;

my $cce = new CCE;
$cce->connectuds();

# check if System object exist
my (@oids) = $cce->find("System");
if($#oids < 0) {
    $cce->bye();
    exit 1;
}

# read hw serial number
my $openOk = open(SERIAL, "</proc/serialnumber");
if(!$openOk) {
    $cce->bye();
    exit 1;
}
my $hwSerialNumber = <SERIAL>;
chomp($hwSerialNumber);
close(SERIAL);

# read product serial number
my $productSerialNumber = `/sbin/nvram -c serialnum`;
chomp($productSerialNumber);

# set
my ($success) = $cce->set($oids[0], "", { 
	serialNumber => $hwSerialNumber, 
	productSerialNumber => $productSerialNumber
});

$cce->bye();

# failed?
if(!$success) {
    exit 1;
}

exit 0;
